# Directory Entry Comments Directory Entry Comments ## Returns a list of records with the specified entry_id (public) - [GET /directoryEntryComments/public/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryidpublic.md): Returns a list of records with the specified entry_id ## Creates a new directory entry comment record that does not already exist. - [POST /directoryEntryComments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/createdirectoryentrycomment.md): This method will auto-generate an ID and create a new directory entry comment. If an ID is specified for the directory entry comment, an error will be thrown. ## Execute Batch Operations - [POST /directoryEntryComments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified directory_id - [GET /directoryEntryComments/{tenantId}/directory/{directory_service}/{directory_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbydirectoryid.md): Returns a list of records with the specified directory_id ## Returns a list of records with the specified entry_id - [GET /directoryEntryComments/{tenantId}/entry/{directory_service}/{directory_id}/{entry_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbyentryid.md): Returns a list of records with the specified entry_id ## Returns a list of records with the specified submitter_id - [GET /directoryEntryComments/{tenantId}/submitter/{submitter_id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/listcommentsbysubmitterid.md): Returns a list of records with the specified submitter_id ## Returns a directory entry comment from the system by its ID. - [DELETE /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/deletedirectoryentrycomment.md): This method will delete a directory entry comment with the specified ID. ## Returns a directory entry comment from the system by its ID. - [GET /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/getdirectoryentrycomment.md): This method will look up a directory entry comment by the specified ID and return it back. ## Partially updates a directory entry comment with the specified ID. - [PATCH /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/patchdirectoryentrycomment.md): This method will patch an existing directory entry comment with the specified ID, using the HTTP PATCH specification. ## Updates a directory entry comment with the specified ID. - [PUT /directoryEntryComments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/directory-entry-comments/updatedirectoryentrycomment.md): This method will update an existing directory entry comment with the specified ID.